%define configfile /etc/postfix/main.cf

Summary: makes it so that outbound e-mail goes through the fnal.gov gateway
Name: zz_postfix_fermi_gateway
Version: 1.1
Release: 1
License: GPL
Group: Fermi
URL: http://fermilinux.fnal.gov/
Vendor: Fermilab
Packager: Troy Dawson
Requires: postfix
BuildArch: noarch

%description
This rpm is designed to send outbound sendmail e-mail through the
fermilab e-mail gateway.

%files

%triggerin -- postfix
if [ -f %{configfile} ] ; then
	grep -q fnal.gov %{configfile}
	if [ $? -ne 0 ] ; then
		sed -i -e "s:^#mydomain = domain.tld:&\nmydomain = fnal.gov :" %{configfile}
	fi
	grep -q smtp.fnal.gov %{configfile}
	if [ $? -ne 0 ] ; then
		sed -i -e "s:^#relayhost = \[gateway.my.domain\]:&\nrelayhost = smtp.fnal.gov :" %{configfile}
		/etc/init.d/postfix reload
	fi
fi

%changelog
* Tue Feb 15 2011 Troy Dawson (dawson@fnal.gov) 1.1-1
- Added relayhost = smtp.fnal.gov

* Tue Feb 15 2011 Troy Dawson (dawson@fnal.gov) 1.0-1
- First round - designed for Postfix 2.6.6
